import request from '@/utils/request'

// 查询动作配置管理列表
export function listActionConfig(query) {
  return request({
    url: '/hnyz/actionConfig/list',
    method: 'get',
    params: query
  })
}

// 查询动作配置管理详细
export function getActionConfig(actionId) {
  return request({
    url: '/hnyz/actionConfig/' + actionId,
    method: 'get'
  })
}

// 新增动作配置管理
export function addActionConfig(data) {
  return request({
    url: '/hnyz/actionConfig',
    method: 'post',
    data: data
  })
}

// 修改动作配置管理
export function updateActionConfig(data) {
  return request({
    url: '/hnyz/actionConfig',
    method: 'put',
    data: data
  })
}

// 删除动作配置管理
export function delActionConfig(actionId) {
  return request({
    url: '/hnyz/actionConfig/' + actionId,
    method: 'delete'
  })
}

//修改启用状态
export function changeStatus(actionId, status) {
  return request({
    url: '/hnyz/actionConfig/changeStatus',
    method: 'put',
    params: {
      actionId: actionId,
      status: status
    }
  })
}
